<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
    $allowedUsers = [1]; //6
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>SB Admin 2 - Dashboard</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Profile New Branch</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <!-- Area Chart -->

                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">Create New Branch</h6>
                                    </div>
                                    <?php
                                        $sql = "SELECT * FROM `states` WHERE `isconfirmed` != 0";
                                        $exec = mysqli_query($mysqli, $sql);
                                    ?>
                                <form method="POST" action="process.php" style="padding:30px 20px;">



                                        <div class="form-group">
                                                    <div class="form-row">
                                                        <div class="col-md-12">
                                                            <div class="form-label-group">
                                                            <label for="fullnames_staff">Branch State</label>
                                                            <select class="form-control" name="stateId" id="stateids" required="required">
                                                                <option value="" selected="selected" disabled="" >Select State</option>
                                                                <?php 
                                                                    while($rowState = mysqli_fetch_assoc($exec)){
                                                                ?>
                                                                    <option value="<?php echo $rowState['state_id']; ?>"><?php echo $rowState['statename']; ?></option>
                                                                <?php 
                                                                }
                                                                ?>
                                                            </select>
                                                            
                                                            </div>
                                                        </div>
                                                    </div>
                                        </div>
                                        
                                        <div class="form-group" id="cityfield">
                                                    <div class="form-row">
                                                        <div class="col-md-12">
                                                            <div class="form-label-group">
                                                            <label for="city">City</label>
                                                            <select class="form-control" name="cityid" required="required" id="cityvalues">
                                                                
                                                                
                                                            </select>
                                                            
                                                            </div>
                                                        </div>
                                                    </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Branch Name</label>
                                                    <input type="text" id="branchname" class="form-control" name="branchname" placeholder="Enter Branch Name" required="required" autofocus="autofocus">
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Branch Address</label>
                                                    
                                                    <textarea id="branchaddress"  class="form-control" name="branchaddress" placeholder="Enter Branch Address" required="required" autofocus="autofocus" cols="30" rows="4"></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        
                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="b_phone">Branch Phone Number</label>
                                                    <input type="text" id="b_phone" class="form-control" name="b_phone" placeholder="Enter Branch Phone Number" required="required" autofocus="autofocus" onkeypress="return isNumberKey(this, event);">
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="modal-footer">
                                            <input class="btn btn-block" style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="addBranch" value="Create Branch">
                                        </div>
                                </form>
                                
                            </div>
                        </div>


                        <div class="col-xl-8 col-lg-8">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblbranches.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>


           </script>