<?php
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  $dt = date('Y-m-d');
  $staffId = $_SESSION['staffid'];
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }

  if(isset($_POST['CreateNewState'])){
    $statename = _escape($_POST['statename']);
    if(checkStateName($statename) == 0){
        $sql = "INSERT INTO `states`(`state_id`, `statename`, `createdon`, `createdby`, `isconfirmed`) 
                VALUES (NULL,'$statename','$dt','$staffId',0)";
        $result = mysqli_query($mysqli,$sql);
        if($result){
            $title = "New State Added";
            $body = $statename." Added to the list of states";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('states.php');
        }
    }else{
        $_SESSION['msg'] = $statename." Already exist in Database";
        $_SESSION['failure'] = true;
        redirectTo('states.php');
        
    }
}

if(isset($_POST['addCity'])){
    $stateid = _escape($_POST['stateid']);
    $cityname = _escape($_POST['city']);
    if(checkCityInState($stateid, $cityname) == 0){
        $sql = "INSERT INTO `cities`(`id`, `stateid`, `cityname`, `addedon`, `addedby`, `isconfirmed`) 
                VALUES (NULL,'$stateid','$cityname','$dt','$staffId', 0)";
        $result = mysqli_query($mysqli,$sql);
        if($result){
            $title = "New city Added for ".getStateName($stateid);
            $body = $cityname." Added to the list of cities for ".getStateName($stateid)." state";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('city.php');
        }
    }else{
        $_SESSION['msg'] = $cityname." Already added for ".getStateName($stateid)." state";
        $_SESSION['failure'] = true;
        redirectTo('city.php');
    }
}
if(isset($_POST['addBranch'])){
    $branchName = _escape($_POST['branchname']);
    $branchAddress = _escape($_POST['branchaddress']);
    $branchState = _escape($_POST['stateId']);
    $branchCity = _escape($_POST['cityid']);
    $branchphone =_escape($_POST['b_phone']);
    if(checkBranchName($branchState,$branchCity,$branchName) == 0){
        $sql = "INSERT INTO `branches`(`id`, `stateid`, `cityid`, `branchname`, `branchaddress`, `branchphone`,`addedby`, `addedon`, `isconfirmed`) 
                VALUES (NULL,'$branchState','$branchCity','$branchName','$branchAddress','$branchphone','$staffId','$dt', 0)";
        $result = mysqli_query($mysqli,$sql);
        if($result){
            $title = "New Branch Added for ".getCityName($branchCity)." in ".getStateName($branchState)." state";
            $body = $branchName." Added to the list of branches in ".getCityName($branchCity).",". getStateName($branchState)." state.";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('branches.php');
        }
    }else{
        $_SESSION['msg'] = $branchName." Already exists in the database";
        $_SESSION['failure'] = true;
        redirectTo('branches.php');
    }
}

if(isset($_POST['addnewproduct'])){
    $prodname = _escape($_POST['prodname']);
    $proddesc = _escape($_POST['proddesc']);
    if(checkProductsName($prodname, $proddesc) == 0){
        $sql = "INSERT INTO `products`(`product_id`, `productname`, `prod_desc`, `addedby`, `addedon`, `isconfirmed`) 
                VALUES (NULL,'$prodname','$proddesc','$staffId','$dt',0)";
        $result = mysqli_query($mysqli,$sql);
        if($result){
            $title = "New Product Added";
            $body = $prodname." Added to the list of  Products ";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('products.php');
        }
    }else{
        $_SESSION['msg'] = $prodname." ".$proddesc." Already exists in the database";
        $_SESSION['failure'] = true;
        redirectTo('products.php');
    }

    
}

if(isset($_POST['stockup'])){
    if ($_SESSION['privilege'] == 1) {
        $branchId = _escape($_POST['branchid']);
        $prodId = _escape($_POST['product']);
    }else{
        $branchId = $_SESSION['branchid'];
        $prodId = _escape($_POST['productname']);
    }
    $newQty = _escape($_POST['newstockqty']);
    $trxRef = uniqid();
    $trxID = getLastNumber();
    $sql = "INSERT INTO `transactionstb`(`id`, `trxid`, `trxref`, `branchid`, `productid`, `qty`, `rate`, `amount`, `loggedby`, `date`,`isrefund`, `refundby`, `refundon`) 
            VALUES (NULL,'$trxID','$trxRef','$branchId','$prodId','$newQty',0.00,'0.00',
            '$staffId',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),0,'','')";
    $resultStk = mysqli_query($mysqli, $sql);
    if($resultStk){
            $title = "New Stockup Alert";
            $body = $newQty." ".getProductName($prodId)." was Added to ".getBranchName($branchId)." by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('stockup.php');
    }
}

if(isset($_POST['createServices'])){
    $services = _escape($_POST['services']);
    $sql = "INSERT INTO `services`(`id`, `categories`, `addedby`, `addedon`, `isconfirmed`) 
            VALUES (NULL,'$services','$staffId',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),0)";
    $resultStk = mysqli_query($mysqli, $sql);
    if($resultStk){
        $title = "New Category Alert";
        $body = $services." was Added to Category List by ".$staffId;
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        insertLogs($title,$body);
        redirectTo('services.php');
    }
}

if(isset($_POST['createWorkCat'])){
    $workCategory = _escape($_POST['workcat']);
    $workerId = 4; //id of worker class in services table.
    // if($_SESSION['branchid'] == 10){ //branch is combs
    if(in_array($_SESSION['branchid'], $branchSpecialID)){
        $sql = "INSERT INTO `servicecategory`(`id`, `servicecat`, `catname`, `addedon`, `addedby`,`branchid`, `isconfirmed`) 
        VALUES (NULL,4,'$workCategory','$dt','$staffId','$_SESSION[branchid]',0)";
    }else{
        $sql = "INSERT INTO `servicecategory`(`id`, `servicecat`, `catname`, `addedon`, `addedby`, `isconfirmed`) 
        VALUES (NULL,4,'$workCategory','$dt','$staffId',0)";
    }
     $resultStk = mysqli_query($mysqli, $sql);
     if($resultStk){
         $title = "New Workers Category Added";
         $body = $workCategory." was Added to Workers Category List by ".$staffId;
         $_SESSION['msg'] = $body;
         $_SESSION['success'] = true;
         insertLogs($title,$body);
         redirectTo('workerclass.php');
     }
}


if(isset($_POST['addSubCat'])){
    $workCategory = _escape($_POST['category']);
    $subCategory = _escape($_POST['subcat']);

    // if($_SESSION['branchid'] == 10){ //branch is combs
    // if(in_array($_SESSION['branchid'], $branchSpecialID)){
        $sqlSubCat = "INSERT INTO `sub_sub`(`id`, `catnameid`, `subcategory`, `addedon`, `addedby`,`branchid`, `isconfirmed`) 
                  VALUES (NULL,'$workCategory','$subCategory','$dt','$staffId',$_SESSION[branchid],0)";
    // }else{
    //     $sqlSubCat = "INSERT INTO `sub_sub`(`id`, `catnameid`, `subcategory`, `addedon`, `addedby`, `isconfirmed`) 
    //               VALUES (NULL,'$workCategory','$subCategory','$dt','$staffId',0)";
    // }
    $resultStk = mysqli_query($mysqli, $sqlSubCat);
    if($resultStk){
        $title = "Sub Category Added";
        $body = $subCategory." was Added to Workers Category List by ".$staffId;
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        insertLogs($title,$body);
        redirectTo('workerclasssub.php');
    }
    
}

if(isset($_POST['addSubCatSub'])){
    $subId = _escape($_POST['category']);
    $branchid = _escape($_POST['branchid']);
    $newRate = _escape($_POST['rt']);
    $sql = "INSERT INTO `servicesrate`(`id`, `subcategory`, `branchid`, `amount`, `addedby`, `addedon`, `isconfirmed`) 
            VALUES (NULL,'$subId','$branchid','$newRate','$staffId','$dt',1)";
    $resultStk = mysqli_query($mysqli, $sql);
    if($resultStk){
        $title = "New Rate Added";
        $body = "New rate was Added to New Rate List by ".$staffId;
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        insertLogs($title,$body);
        redirectTo('servicesrate.php');
    }
}
//addProdRate
if(isset($_POST['addProdRate'])){
    $prodId = _escape($_POST['product']);
    $branchid = $_SESSION['branchid'];
    $prodRate = _escape($_POST['prodRate']);
    $sql = "INSERT INTO `productrates`(`id`, `branchid`, `productid`, `amount`, `addedby`, `addedon`, `isconfirmed`) 
            VALUES (NULL,'$branchid','$prodId','$prodRate','$staffId',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),1)";
    $resultStk = mysqli_query($mysqli, $sql);
    if($resultStk){
        $title = "New Rate Added";
        $body = "New rate was Added to New Rate List by ".$staffId;
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        insertLogs($title,$body);
        redirectTo('productrate.php');
    }
}

if(isset($_POST['serviceOrder'])){
    //
    $branchId = $_SESSION['branchid'];
    $serviceType = _escape($_POST['serviceid']);
    $serviceCategory = _escape($_POST['servicecat']);
    $serviceCharge = _escape($_POST['amt']);
    $paymentMethod = _escape($_POST['paymentMethod']);
    $whichpos = (isset($_POST['whichpos']))?_escape($_POST['whichpos']):0;
    $workingStaffId = strtoupper(_escape($_POST['availStaff']));
    $customersName = ucwords(_escape($_POST['custName']));
    $customersPhone = _escape($_POST['custPhone']);
    $getPercentage = getStartSince($_SESSION['branchid'],$_POST['serviceid'],$_POST['availStaff']);
    $loggedByStaffId = $_SESSION['staffid'];
    $trxRef = uniqid()."_".$_SESSION['branchid']."_".$_SESSION['staffid'];
    if(in_array($loggedByStaffId, getSalesRepArray($branchId)))
    {
    $sql = "INSERT INTO `orderservices`(`id`, `trxid`,`branchid`, `servicetype`, `servicecategory`, `amount`, `paymentmethod`,`whichpos`, `attendingstaff`, `customername`, `customerphone`, `issuingstaff`,`loggedon`, `isrefund`,`percentage`) 
            VALUES (NULL,'$trxRef','$branchId','$serviceType','$serviceCategory','$serviceCharge','$paymentMethod','$whichpos','$workingStaffId','$customersName','$customersPhone','$loggedByStaffId',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),0,'$getPercentage')";
    $resService = mysqli_query($mysqli, $sql);
    if($resService){
        $title = "New Service Order";
        $body = "A New Service Order of NGN ".$serviceCharge." was Logged by ".$staffId;
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        insertLogs($title,$body);
        redirectTo('orderservices.php');
    }
    }else{
        msgAlert('You are not authorized to carry out this function','../index.php');
    }

}
if(isset($_POST['CreateNewWorker'])){
    $hid = genRanString(35);
    $index = getLastIndex();
    $staffid = getLastUserIndex();
    $fullnames_staff = ucwords(_escape($_POST['fullnames_staff']));
    $emailaddr = _escape($_POST['emailaddr']);
    $address = _escape($_POST['address']);
    $branchid = _escape($_POST['branchid']);
    $phone = _escape($_POST['phone']);
    $usertype = _escape($_POST['usertype']);
    $userCat = 0;
    //if($usertype == 1){
    if(in_array($usertype,[1,6,7,8,9])){
        $branchid = 0;
    }
    if(in_array($usertype,[10])){
        $branchid = _escape($_POST['branchid']);
        $staffid = "APPR_HSN".$index;
    }
    if($usertype == 4){
        $userCat = _escape($_POST['servcat']);
    }
    $password = md5('shoprite');

    $sql = "INSERT INTO `user_table`(`id`, `hid`, `userindex`, `name`, `staffid`, `staffemail`, `staffaddress`, `phonenumber`, `password`, `branchid`, `privilege`,`userclass`, `account_status`, `dt_created`, `created_by`, `isconfirmed`) 
            VALUES (NULL,'$hid','$index','$fullnames_staff','$staffid','$emailaddr','$address','$phone','$password','$branchid','$usertype','$userCat',1,'$dt','$staffId',0)";
    $result = mysqli_query($mysqli, $sql);
    if($result){
        $title = "New User Created";
        $body = "Staff ".$fullnames_staff." with Staff ID ".$staffid." was created on ".$dt." by ".$staffId;
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        insertLogs($title,$body);
        redirectTo('workers.php');
    }
}

 //************************* */
  // Change Pswd starts        //
  //*************************** */
  	//changePass
      if (isset($_POST['changePass'])) {

		$old_pwd = mysqli_real_escape_string($mysqli,$_POST['old_pwd']);
		$old_pwd = md5($old_pwd);
		$newPwd =	mysqli_real_escape_string($mysqli,$_POST['n_pwd']);
		$confirmNewPwd = mysqli_real_escape_string($mysqli,$_POST['n_pwd_confirm']);
		$dt = date('Y-m-d');

		$sql_check_oldPwd = "SELECT `password` FROM `user_table` WHERE `staffid` = '$_SESSION[staffid]'";
		$res_oldpwd = mysqli_query($mysqli,$sql_check_oldPwd);
		$rowPwd = mysqli_fetch_assoc($res_oldpwd);
		$oldPwd = $rowPwd['password'];


		if ($old_pwd != $oldPwd) {
			$msg = 'Old password doesnot match whats on file!,Please Try Again or contact Admin.';
			msgAlert($msg,'index.php');
		}else{
			if ($newPwd == $confirmNewPwd) {
				$changedPwd = md5($newPwd);
				$pwdUpdate = "UPDATE `user_table` SET `password` = '$changedPwd' WHERE `staffid` = '$_SESSION[staffid]'";
				$query = mysqli_query($mysqli,$pwdUpdate);
				if ($query) {
                    $body = "Password Changed on $dt , by $_SESSION[staffid]";
                    $_SESSION['msg'] = $body;
                    $_SESSION['success'] = true;
					$title = 'Password Changed Successfully';
					insertLogs($title,$body);
                    redirectTo('index.php');


				}else{
					msgAlert('Password doesnot Change - Please Try Again or contact Admin.','index.php');
				}
			

			}else{
				msgAlert('New Password doesnot Match','index.php');
			}

		}


	}
 //************************* */
  // Change pswd ends        //
  //*************************** */

  if(isset($_POST['savingBtn'])){ //savings for coop
      if(InstanceOfSavings($_SESSION['staffid']) <= 0){
    $amt = mysqli_real_escape_string($mysqli,$_POST['amt']);
    $sql = "INSERT INTO `coop_1`(`id`, `amount`, `staffid`, `loggedon`) 
            VALUES (NULL,'$amt','$_SESSION[staffid]',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR))";
        $query = mysqli_query($mysqli,$sql);
        if ($query) {
            $body =  "NGN $amt was Saved on $dt by $_SESSION[staffid]";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            $title = 'Savings Alert';
            insertLogs($title,$body);
            redirectTo('coop.php');


        }else{
            msgAlert('Savings not Logged, contact Finance Manager.','index.php');
        }
    }else{
        //msgAlert('Savings alaready Logged for this month.','index.php');
        $body =  "Savings already logged for this month";
            $_SESSION['msg'] = $body;
            $_SESSION['failure'] = true;
            // $title = 'Savings Alert';
            // insertLogs($title,$body);
            redirectTo('coop.php');
    }
  }

  //CreateSupplyItem
  if(isset($_POST['CreateSupplyItem'])){ 
    $itemname = strtoupper(mysqli_real_escape_string($mysqli,$_POST['supitem']));
    $sql = "INSERT INTO `supplyitems_1`(`id`, `itemname`, `addedon`, `addedby`) 
            VALUES (NULL,'$itemname',CURDATE(),'$_SESSION[staffid]')";
    if(InstanceOfSupply('supplyitems_1','itemname',$itemname) < 1){
        
        $query = mysqli_query($mysqli,$sql);
        if ($query) {
            $body =  "$itemname was Saved on $dt by $_SESSION[staffid]";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            $title = 'Supply Item Added';
            insertLogs($title,$body);
            redirectTo('supplyitems.php');


        }else{
            msgAlert('Item not saved.','supplyitems.php');
        }
    }else{
        $body =  "$itemname already in Database";
            $_SESSION['msg'] = $body;
            $_SESSION['failure'] = true;
            redirectTo('supplyitems.php');
    }

  }

  //CreateExpItem
  if(isset($_POST['CreateExpItem'])){ 
    $itemname = strtoupper(mysqli_real_escape_string($mysqli,$_POST['supitem']));
    $sql = "INSERT INTO `expensestb`(`id`, `expnames`, `dtadded`, `addedby`) 
            VALUES (NULL,'$itemname',CURDATE(),'$_SESSION[staffid]')";
    if(InstanceOfSupply('expensestb','expnames',$itemname) < 1){
        
        $query = mysqli_query($mysqli,$sql);
        if ($query) {
            $body =  "$itemname was Saved on $dt by $_SESSION[staffid]";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            $title = 'Supply Item Added';
            insertLogs($title,$body);
            redirectTo('expenseitems.php');


        }else{
            msgAlert('Item not saved.','expenseitems.php');
        }
    }else{
        $body =  "$itemname already in Database";
            $_SESSION['msg'] = $body;
            $_SESSION['failure'] = true;
            redirectTo('expenseitems.php');
    }

  }

  //setPay
  if(isset($_POST['setPay'])){ 
    $branchid = strtoupper(mysqli_real_escape_string($mysqli,$_POST['serviceidbid']));
    $staffid = strtoupper(mysqli_real_escape_string($mysqli,$_POST['staffID']));
    $amount = strtoupper(mysqli_real_escape_string($mysqli,$_POST['payamt']));
    $sql = "INSERT INTO `payother_1`(`id`, `staffid`, `dt_logged`, `loggedby`, `amount`, `dt_for`) 
            VALUES (NULL,'$staffid',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),'$_SESSION[staffid]','$amount',CURDATE())";
            
    if(InstanceOfPayThisMonth($staffid) < 1){
        
        $query = mysqli_query($mysqli,$sql);
        if ($query) {
            $body =  "New Pay entered for $staffid on $dt by $_SESSION[staffid]";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            $title = 'Supply Item Added';
            insertLogs($title,$body);
            redirectTo('setpay.php');


        }else{
            msgAlert('Item not saved.','setpay.php');
        }
    }else{
        $body =  "Pay already set for this Month";
            $_SESSION['msg'] = $body;
            $_SESSION['failure'] = true;
            redirectTo('setpay.php');
    }

  }

  //stockupItems
  if(isset($_POST['stockupItems'])){ 
    $itemidname = strtoupper(mysqli_real_escape_string($mysqli,$_POST['itemidname']));
    $newstockqty = strtoupper(mysqli_real_escape_string($mysqli,$_POST['newstockqty']));
    $type = "STK";
    $creator = $_SESSION['staffid'];
    $ref = "STK_".genRanString(12);
    $sql = "INSERT INTO `stockbalance_1`(`id`, `itemid`, `reqtype`, `qty`, `ref`, `loggedby`, `loggedon`) 
            VALUES (NULL,'$itemidname','$type','$newstockqty','$ref','$creator',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR))";
    $query = mysqli_query($mysqli,$sql);
    if ($query) {
        $body =  "New Stock Updates on $dt by $_SESSION[staffid]";
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        $title = 'Stock Updated';
        insertLogs($title,$body);
        redirectTo('stockupitems.php');


    }else{
        msgAlert('Item not saved.','stockupitems.php');
    }
  }

  //addNewAssets
  if(isset($_POST['addNewAssets'])){ 
    $assetcatid = strtoupper(mysqli_real_escape_string($mysqli,$_POST['category']));
    $assetnm = strtoupper(mysqli_real_escape_string($mysqli,$_POST['assetnm']));
    $creator = $_SESSION['staffid'];
    
    
    $sql = "INSERT INTO `opitemlist_1`(`id`, `catid`, `assetname`, `addedby`, `addedon`) 
            VALUES (NULL,'$assetcatid','$assetnm','$creator',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR))";
    $query = mysqli_query($mysqli,$sql);
    if ($query) {
        $body =  "$assetnm added to Asset List on $dt by $_SESSION[staffid]";
        $_SESSION['msg'] = $body;
        $_SESSION['success'] = true;
        $title = 'Asset Update';
        insertLogs($title,$body);
        redirectTo('oplists.php');


    }else{
        msgAlert('Item not saved.','oplists.php');
    }
  }

  //dailyReport
  if(isset($_POST['dailyReport'])){ 
        $hid = genRanString(50);
        $actualAmount = strtoupper(mysqli_real_escape_string($mysqli,$_POST['amount']));
        $cashAmt = strtoupper(mysqli_real_escape_string($mysqli,$_POST['cashAmt']));
        $branchid = $_SESSION['branchid'];
        $staffid = $_SESSION['staffid'];
        if(checkUserReportByBranch($staffid) == 0){
            if($actualAmount >= $cashAmt){
                $sql = "INSERT INTO `cash_report_1`(`id`, `hid`, `branchid`, `staffid`, `actualamount`, `cashamount`, `date_logged`, `datefor`) 
                        VALUES (NULL,'$hid','$branchid','$staffid','$actualAmount','$cashAmt',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),CURDATE())";
                $query = mysqli_query($mysqli,$sql);
                if ($query) {
                    $body =  "Sales Report logged for ".$dt;
                    $_SESSION['msg'] = $body;
                    $_SESSION['success'] = true;
                    $title = 'Sales Report';
                    insertLogs($title,$body);
                    redirectTo('sdp.php');
            
            
                }else{
                    msgAlert('Item not saved.','sdp.php');
                }
            }else{
                $body =  "Amount Entered is Not Okay.";
                    $_SESSION['msg'] = $body;
                    $_SESSION['failure'] = true;
                    redirectTo('sdp.php');
            }
        }else{

            $body =  "Sales Report Already logged for today ".$dt;
                    $_SESSION['msg'] = $body;
                    $_SESSION['failure'] = true;
                    //$title = 'Sales Report';
                    //insertLogs($title,$body);
                    redirectTo('sdp.php');
        }
  }

  //sendExpense
  if(isset($_POST['sendExpense'])){ 
    $hid = genRanString(50);
    $exp_cat = mysqli_real_escape_string($mysqli,$_POST['exp_cat']);
    $exp_head_type = mysqli_real_escape_string($mysqli,$_POST['exp_head']);
    $branchid = mysqli_real_escape_string($mysqli,$_POST['branchid']);
    $expamount = mysqli_real_escape_string($mysqli,$_POST['expamount']);
    $dt_for = mysqli_real_escape_string($mysqli,$_POST['dt_logged']);
    $notes = mysqli_real_escape_string($mysqli,$_POST['remarks']);
    $staffid = $_SESSION['staffid'];

    
            $sql = "INSERT INTO `exp_logs`(`id`, `hash`, `exp_cat`, `exp_cat_sub`, `amount`, `branch`, `note`, `date_logged`, `logged_by`) 
                    VALUES (NULL,'$hid','$exp_cat','$exp_head_type','$expamount','$branchid','$notes','$dt_for','$staffid')";
            $query = mysqli_query($mysqli,$sql);
            if ($query) {
                $body =  "Expense info Logged for ".$dt_for;
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                $title = 'Expense Info';
                insertLogs($title,$body);
                redirectTo('addexpense.php');
        
        
            }else{
                msgAlert('Item not saved.','sdp.php');
            }
        
}

//sendExpense
if(isset($_POST['sendIncome'])){ 
    $hid = genRanString(50);
    $exp_cat = mysqli_real_escape_string($mysqli,$_POST['exp_cat']);
    $exp_head_type = mysqli_real_escape_string($mysqli,$_POST['exp_head']);
    $branchid = mysqli_real_escape_string($mysqli,$_POST['branchid']);
    $expamount = mysqli_real_escape_string($mysqli,$_POST['expamount']);
    $dt_for = mysqli_real_escape_string($mysqli,$_POST['dt_logged']);
    $notes = mysqli_real_escape_string($mysqli,$_POST['remarks']);
    $staffid = $_SESSION['staffid'];

    
            $sql = "INSERT INTO `exp_logs`(`id`, `hash`, `exp_cat`, `exp_cat_sub`, `amount`, `branch`, `note`, `date_logged`, `logged_by`) 
                    VALUES (NULL,'$hid','$exp_cat','$exp_head_type','$expamount','$branchid','$notes','$dt_for','$staffid')";
            $query = mysqli_query($mysqli,$sql);
            if ($query) {
                $body =  "Income info Logged for ".$dt_for;
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                $title = 'Income Info';
                insertLogs($title,$body);
                redirectTo('addincome.php');
        
        
            }else{
                msgAlert('Item not saved.','sdp.php');
            }
        
}

?>