<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
?>

<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense Admin - Home Page!</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
                        <!-- <span style="color:red; font-weight:bold;">
                            <?php
                                echo getUserTypeName($_SESSION['privilege'])." Profile";
                            ?>
                        </span> -->
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">
                        <!-- Area Chart -->
                        <div class="col-xl-12 col-lg-12">
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Sales Overview (Current Month)</h6>
                                    <!--  -->
                                </div>
                                <!-- Card Body -->
                                <div class="card-body">
                                <?php include('alerts.php'); ?>
                                    <div class="chart-area">
                                        <?php 
                                            //if($_SESSION['privilege'] > 1 && $_SESSION['privilege'] <= 3)
                                            if(!in_array($_SESSION['privilege'],[2,3,5])){
                                                include('chart2.php'); 
                                            }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        
                    </div>

    <?php
        if($_SESSION['privilege'] == 1|| $_SESSION['privilege'] == 2 || $_SESSION['privilege'] == 3){
    ?>
                    <div class="row">
                        <!-- Content Column -->
                        <div class="col-xl-7 col-lg-7">

                            <!-- Project Card Example -->
                            <div class="card shadow mb-4">
                                <div class="card-header py-3">
                                    <h6 class="m-0 font-weight-bold text-primary">
                                        <?php
                                            if($_SESSION['privilege'] > 1){
                                                echo "Staff Performance in ".getBranchName($_SESSION['branchid'])."'s Branch Today";
                                            }else{
                                                echo "Branch Performance Today";
                                            }
                                        ?>
                                    </h6>
                                </div>
                                <div class="card-body">
                                    <?php
                                        $colorCode = [ 'bg-warning','bg-success', 'bg-info', 'bg-danger','bg-primary','bg-secondary', 'bg-warning','bg-warning','bg-success', 'bg-info', 'bg-danger','bg-primary','bg-secondary', 'bg-warning' ];
                                            if($_SESSION['privilege'] > 1){ //user is manager or asst. manager
                                            $sqlprogress = "SELECT * FROM `user_table` WHERE `branchid` = '$_SESSION[branchid]' 
                                                            AND `privilege` = 5 AND `isconfirmed` = 1 AND `account_status` = 1";
                                            $sqlprogressExec = mysqli_query($mysqli, $sqlprogress);
                                            $i = 0;
                                            $totalByBranch = getOutrightSales();
                                            while($rowProg1 = mysqli_fetch_assoc($sqlprogressExec)){
                                                $amountByStaff = totalSalesByStaffToday($rowProg1['staffid']);
                                                if($amountByStaff == 0 || $totalByBranch == 0){
                                                    $percentage = 0;
                                                }else{
                                                    $percentage = round($amountByStaff/$totalByBranch*100,2);
                                                }
                                                
                                    ?>
                        <h4 class="small font-weight-bold"><?php echo $rowProg1['name']." [".$rowProg1['staffid']."]"; ?> <span
                        class="float-right"><?php echo "( <strong><strike>N</strike>".number_format($amountByStaff,2)." </strong>) ". $percentage."%"; ?></span></h4>
                        <div class="progress mb-4">
                        <div class="progress-bar <?php echo $colorCode[$i]; ?>" role="progressbar" style="width: <?php echo  $percentage."%"; ?>" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                                    <?php
                                    $i++;
                                        }//$rowProg1 closing tag;
                                            }else{ //if user is superAdmin
                                                $sqlBranch = "SELECT * FROM `branches` WHERE `isconfirmed` = 1 AND `id` > 0";
                                                $resBranch = mysqli_query($mysqli, $sqlBranch);
                                                $outrighttotal = getOutrightSales();
                                                $i = 0;
                                                while($rowBranch = mysqli_fetch_assoc($resBranch)){
                                                    $branchSalesToday = totalSalesByBranchToday($rowBranch['id']);
                                                    if($branchSalesToday == 0 || $outrighttotal == 0){
                                                        $percentage = 0;
                                                    }else{
                                                        $percentage = round($branchSalesToday/$outrighttotal*100,2);
                                                    }
                                                    
                                    ?>
                        <h4 class="small font-weight-bold"><?php echo $rowBranch['branchname']." [".ucwords($rowBranch['branchaddress'])."]"; ?> <span
                        class="float-right"><?php echo "( <strong><strike>N</strike>".number_format($branchSalesToday,2)."</strong> ) ". $percentage."%"; ?></span></h4>
                        <div class="progress mb-4">
                        <div class="progress-bar <?php echo $colorCode[$i]; ?>" role="progressbar" style="width: <?php echo  $percentage."%"; ?>" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                                    <?php
                                    $i++;
                                        }//end of while for branch;
                                            }
                                    ?>
                                </div>
                            </div>

                            

                        </div>

                        <!-- Pie Chart -->
                        <div class="col-xl-5 col-lg-5">
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Recent Activities</h6>
                                    
                                </div>
                                <!-- Card Body -->
                                <div class="card-body">
                                    <div class="chart-pie pt-4 pb-2">
                                        <!-- <canvas id="myPieChart"></canvas> -->
                                        <?php
                                            echo load_logs();
                                        ?>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>

    <?php
        }
    ?>

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <?php include('subpages/footer.php'); }?>