<?php
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  $dt = date('Y-m-d');
  $staffId = $_SESSION['staffid'];
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }


if(isset($_POST['placeProductsOrder'])){
    $productCount = $_POST['productCounts'];
    $totalAmount = $_POST['totalAmount'];
    $trxID = getLastNumber();
    $trxRef = uniqid()."_".$_SESSION['branchid']."_".$_SESSION['staffid'];
    $custnames = mysqli_escape_string($mysqli,$_POST['custNames']);
    $custPhone = mysqli_escape_string($mysqli,$_POST['custPhone']);
    $paymentMethod = mysqli_escape_string($mysqli,$_POST['paymentMethod']);
    $whichpos = (isset($_POST['whichpos']))?mysqli_escape_string($mysqli,$_POST['whichpos']):0;
    
    
    $errors = [];
    $sumAmount = 0;
    for($i=0; $i < $productCount; $i++){
        //2nd level validation checks
        $stockBalance = mysqli_escape_string($mysqli,$_POST['bal'][$i]);
        $quantity = mysqli_escape_string($mysqli,$_POST['qty'][$i]);
        $amount = mysqli_escape_string($mysqli,$_POST['amount'][$i]);
        if($quantity > $stockBalance){
          array_push($errors,"Error!");
        }
        $sumAmount += $amount;
    }
    if($sumAmount != $totalAmount){
      array_push($errors,"Error!");
    }
    if(count($errors) <= 0){
      for($j=0; $j < $productCount; $j++) {
          $productId = mysqli_escape_string($mysqli,$_POST['prodName'][$j]);
          $rate = mysqli_escape_string($mysqli,$_POST['rate'][$j]);
          $quantity = mysqli_escape_string($mysqli,$_POST['qty'][$j]);
          $amount = mysqli_escape_string($mysqli,$_POST['amount'][$j]);
          insertProductsOrders($trxID,$trxRef,$productId,$quantity,$rate,$amount,$staffId,$paymentMethod,$whichpos);
        
      }
        unset($_SESSION['mycart']);
            $title = "New Order Alert";
            $body = $productCount." Products valued at NGN".number_format($totalAmount,2)." was Ordered at ".getBranchName($_SESSION['branchid'])." Branch, logged by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            insertCustomersDetail($custnames,$custPhone,$trxRef);
            redirectTo('orderproducts.php');
    }else{
      $title = "Error with Order, Kindly check if quantity is less than stock balance,";
      //$body = $productCount." Products was Ordered at ".getBranchName($_SESSION['branchid'])." by ".$staffId;
      $_SESSION['msg'] = $title;
      $_SESSION['success'] = false;
      redirectTo('orderproducts.php');
    }
            
    
}

if(isset($_POST['addnewPos'])){
  $posname = strtoupper(_escape($_POST['posname']));
  $posdesc = strtoupper(_escape($_POST['posdesc']));
  $branchid = $_SESSION['branchid'];
  $sql = "INSERT INTO `pos`(`pos_id`, `pos_name`, `pos_alias`,`branchid`, `addedby`, `addedon`, `isconfirmed`) 
          VALUES (NULL,'$posname','$posdesc','$branchid','$_SESSION[staffid]',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),0)";
  $res = mysqli_query($mysqli, $sql);
  if($res){
    $title = "New POS Added";
            $body = $posname." was added to the list of POSs in ".getBranchName($_SESSION['branchid'])." Branch, logged by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            //insertCustomersDetail($custnames,$custPhone,$trxRef);
            redirectTo('pos.php');
  }
}

//placeSupplyOrder

if(isset($_POST['placeSupplyOrder'])){

  $itemCount = $_POST['itemcount'];
  $branchid = $_SESSION['branchid'];
  $staffid = $_SESSION['staffid'];
  $trxRef = uniqid()."_".$branchid."_".$staffid;
  $notes = mysqli_escape_string($mysqli,$_POST['notes']);
  
  $errors = [];
 

  if(count($errors) <= 0){
    for($j=0; $j < $itemCount; $j++) {
        
        $hashid = genRanString(40);
        $itemID = mysqli_escape_string($mysqli,$_POST['itemID'][$j]);
        $stkBal = mysqli_escape_string($mysqli,$_POST['stkBal'][$j]);
        $quantity = mysqli_escape_string($mysqli,$_POST['qty'][$j]);
        insertSupplyOrders($trxRef,$hashid,$itemID,$stkBal,$quantity);
      
    }
    if($j == $itemCount){
      $sql = "INSERT INTO `reqsummary_1`(`id`, `ref`, `itemcount`, `branchid`, `loggedon`, `loggedby`, `notes`) 
              VALUES (NULL,'$trxRef','$itemCount','$branchid',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),'$staffid','$notes')";
      $exec = mysqli_query($mysqli, $sql);
      unset($_SESSION['mycart']);
          $title = "Supply Request Initiated";
          $body =  " $itemCount Items were Requested from ".getBranchName($_SESSION['branchid'])." Branch, logged by ".$staffid;
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          insertLogs($title,$body);
         // insertCustomersDetail($custnames,$custPhone,$trxRef);
          redirectTo('orderrequest.php');
    }
      
  }else{
    $title = "Error with Order, Kindly check and try Again";
    //$body = $productCount." Products was Ordered at ".getBranchName($_SESSION['branchid'])." by ".$staffId;
    $_SESSION['msg'] = $title;
    $_SESSION['success'] = false;
    redirectTo('orderrequest.php');
  }
          
  
}

//placeExpReq
if(isset($_POST['placeExpReq'])){

  $itemCount = $_POST['itemcount'];
  $branchid = $_SESSION['branchid'];
  $staffid = $_SESSION['staffid'];
  $trxRef = uniqid()."_".$branchid."_".$staffid;
  $notes = mysqli_escape_string($mysqli,$_POST['notes']);
  $totalExp = mysqli_escape_string($mysqli,$_POST['totalExp']);
  
  $errors = [];
 

  if(count($errors) <= 0){
    for($j=0; $j < $itemCount; $j++) {
        
        $hashid = genRanString(40);
        $itemID = mysqli_escape_string($mysqli,$_POST['itemID'][$j]);
        // $stkBal = mysqli_escape_string($mysqli,$_POST['stkBal'][$j]);
        $amt = mysqli_escape_string($mysqli,$_POST['qty'][$j]);
        //insertSupplyOrders($trxRef,$hashid,$itemID,$stkBal,$quantity);
        insertExpenses($trxRef,$hashid,$itemID,$amt);
      
    }
    if($j == $itemCount){
      $sql = "INSERT INTO `expgrouped`(`id`, `groupref`, `expcount`,`total`, `branchid`, `loggedon`, `loggedby`, `notes`) 
              VALUES (NULL,'$trxRef','$itemCount','$totalExp','$branchid',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),'$staffid','$notes')";
      $exec = mysqli_query($mysqli, $sql);
      unset($_SESSION['myexpense']);
          $title = "Expense Request Initiated";
          $body =  " $itemCount Expenses were Logged from ".getBranchName($_SESSION['branchid'])." Branch, logged by ".$staffid;
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          insertLogs($title,$body);
         // insertCustomersDetail($custnames,$custPhone,$trxRef);
         $to = "mosuru@gmail.com";
         mailIt($to, $title, $body,'HSN0001');
          redirectTo('expenserequests.php');
    }
      
  }else{
    $title = "Error with Request, Kindly check and try Again";
    //$body = $productCount." Products was Ordered at ".getBranchName($_SESSION['branchid'])." by ".$staffId;
    $_SESSION['msg'] = $title;
    $_SESSION['success'] = false;
    redirectTo('expenserequests.php');
  }
          
  
}



//addnewQty
if(isset($_POST['addnewQty'])){
  $catid = strtoupper(_escape($_POST['catid']));
  $itemname = strtoupper(_escape($_POST['itemname']));
  $qty = strtoupper(_escape($_POST['qty']));
  $branchid = $_SESSION['branchid'];
  $staffid = $_SESSION['staffid'];
  $hid = genRanString(40);
  $actions = strtoupper(_escape($_POST['actions']));
  $notes = strtoupper(_escape($_POST['notes']));
  $stkBal = itemBalance($itemname,$branchid); 
  $proceed = false;
  
  //if to Debit, check if balance is >= amount debiting, else flag error.
  if($actions === "RMV"){
    if($stkBal >= $qty){
      $proceed = true;
    }
  }else{
      $proceed = true;
  }
 if($proceed){
      $sql = "INSERT INTO `itemlist_1`(`id`, `itemno`, `branch`, `qty`, `addedby`, `addedon`, `hid`, `trxtype`, `notes`) 
              VALUES (NULL,'$itemname','$branchid','$qty','$_SESSION[staffid]',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),'$hid','$actions','$notes')";
      $res = mysqli_query($mysqli, $sql);
      if($res){
          $title = "New Item Added";
          $body = $qty." Items was added to the list of Items in ".getBranchName($_SESSION['branchid'])." Branch, logged by ".$staffid;
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          insertLogs($title,$body);
          //insertCustomersDetail($custnames,$custPhone,$trxRef);
          redirectTo('assetsentry.php');
      }
 }else{
  //$title = "New Item Added";
  $body = "Opps. Error Adding Asset";
  $_SESSION['msg'] = $body;
  $_SESSION['failure'] = true;
  insertLogs($title,$body);
  //insertCustomersDetail($custnames,$custPhone,$trxRef);
  redirectTo('assetsentry.php');
 }
}

//addnewInfo
if(isset($_POST['addnewInfo'])){
  $catid = strtoupper(_escape($_POST['catid']));
  $itemname = strtoupper(_escape($_POST['itemname']));
  $itemqty = strtoupper(_escape($_POST['itemqty']));
  $branchid = $_SESSION['branchid'];
  $staffid = $_SESSION['staffid'];
  $hid = genRanString(40);
  $action = strtoupper(_escape($_POST['action']));
  $qtyamount = _escape($_POST['qtyamount']);
  $notes = strtoupper(_escape($_POST['notes']));
  $stkBal = itemBalance($itemname,$branchid); 
  //$proceed = false;
  $sqlRmv = "INSERT INTO `itemlist_1`(`id`, `itemno`, `branch`, `qty`, `addedby`, `addedon`, `hid`, `trxtype`, `notes`) 
              VALUES (NULL,'$itemname','$branchid','$itemqty','$_SESSION[staffid]',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),'$hid','RMV','$notes')";
  $sqlMaint = "INSERT INTO `maintainance_logs_1`(`id`, `hid`, `branchid`, `catid`, `assetid`, `qty`, `actionid`, `amount`, `note`, `loggedby`, `loggedon`) 
            VALUES (NULL,'$hid','$branchid','$catid','$itemname','$itemqty','$action','$qtyamount','$notes','$staffid',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR))";
  if($action == 2){
    if($stkBal >= $itemqty){
      mysqli_query($mysqli, $sqlRmv);
      $res = mysqli_query($mysqli, $sqlMaint);
    }else{
      $_SESSION['msg'] = "Quantity Entered is more than Stock Balance.";
      $_SESSION['failure'] = true;
      redirectTo('repairentry.php');
    }
  }else{
      $res = mysqli_query($mysqli, $sqlMaint);
  }
if($res){
  $title = "Maintenance Logged";
  $body = $qty." Items was added to the list of Items in ".getBranchName($_SESSION['branchid'])." Branch, logged by ".$staffid;
  $_SESSION['msg'] = $body;
  $_SESSION['success'] = true;
  insertLogs($title,$body);
  //insertCustomersDetail($custnames,$custPhone,$trxRef);
  redirectTo('repairentry.php');
}
  

}
?>