<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
    $allowedUsers = [8];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense - Stock up page</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

    

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Stock Up</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        
                        

                        <div class="col-xl-4 col-lg-8">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">Add Stock</h6>
                                        
                                    </div>
                                <form method="POST" action="process.php" style="padding:30px 20px;">
                                
                                        <?php
                                            
                                                $sqlProd = "SELECT * FROM `supplyitems_1` WHERE `isconfirmed` = 1";
                                                $execProd = mysqli_query($mysqli, $sqlProd);
                                            
                                        ?>

                                        <div class="form-group" id="">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="product">Product Name</label>
                                                    <select class="form-control selectpicker" id="itemidname" name="itemidname" required="required" data-live-search="true">
                                                        <option value="" selected="selected" disabled="" >Select Product</option>
                                                        <?php
                                                            while($rowProd = mysqli_fetch_assoc($execProd)){
                                                        ?>
                    <option value="<?php echo $rowProd['id']; ?>"><?php echo $rowProd['itemname']; ?></option>
                                                        <?php
                                                            }
                                                        ?>
                                                    </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Stock Balance</label>
                                                    <input type="text" id="stkbalbranch" class="form-control" name="stkbalbranch"  required="required" autofocus="autofocus" readonly>
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        
                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="newstock">New Stock</label>
                                                    <input type="number" id="newstockqty" class="form-control" name="newstockqty" placeholder="Enter New Stock Quantity" required="required" autofocus="autofocus" onkeypress="return isNumberKey(this, event);">
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="modal-footer">
                                            <input class="btn btn-block" style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="stockupItems" value="Add Stock">
                                        </div>
                                </form>
                                
                            </div>
                        </div>

                                                        
                        <div class="col-xl-8 col-lg-4">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblstockupitems.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
               //stockup.php for product balance update
$(document).ready(function(){
    $('#productBox').hide();


    
         $('#itemidname').change(function(){
                var prodID = $('#itemidname').val();
                //alert(prodID);
                $.ajax({
                    url:'getData.php?itemidname='+prodID,
                    method:'POST',
                    data: 'product=' + prodID
                }).done(function(data){
                    //alert(data);
                    
                    $('#stkbalbranch').val(data);
                    })  
            })
        })
           </script>